, Guest!
Already a Member? Login or Register.

Menu



Showcase


Due to the volume of spam happening on our forums, posting is now restricted to verified members only.  If you're not verified, drop us a note with your username.

Home > FlexCMS Support Forum > User Help > General Support Requests > Will my FlexCMS be ok with this upgrade?

FlexCMS Support Forum


Will my FlexCMS be ok with this upgrade?
Started December 16, 2005 @ 12:51pm by ddelor
Post Message 
ddelor


Posts: 34
 
Will my FlexCMS be ok with this upgrade?December 16, 2005 @ 12:51pm
I have received this from my web host:

During the aforementioned maintenance window, Site5 will be recompiling Apache (keeping the same version), upgrading PHP to 4.4.1 & upgrading MySQL to 4.1.15.

Please be aware that the upgrade to MySQL 4.1.15 from 4.0.26 is a major update. Some syntax changes have been made & the password hashing in MySQL 4.1.x is different from the previous MySQL 4.0.x versions. We will be able to maintain the old hashing system for the time being. However, you should check to ensure that all of your scripts/web applications are MySQL 4.1 compatible.


Should our site be ok with this change? They are also changing all servers to registered globals off (or have I got it backwards)
 
DCSun
Administrator



Posts: 625
 
December 16, 2005 @ 1:20pm
Donna,

I think you should be just fine.

FlexCMS does not need register globals (most likely it's on now and they're turning it off), so that shouldn't be a problem. The change in MySQL password hashing shouldn't be a problem either, as FlexCMS uses PHP for that instead of MySQL. We've seen no problems with versions as high as PHP 4.3.9 and MySQL 4.0.25, and I don't think there are any major changes between those and the versions you're going to.

As always, let us know if any problems do pop up and we'll see what we can do to help. A backup of your sites before the server upgrades never hurts either.


David


FlexCMS v3.2 Has Been Released!
 
ddelor


Posts: 34
 
January 14, 2006 @ 1:18pm
The upgrade was done and I thought all was fine until I got an email from someone trying to get to the forum on our site. They got this message:

Quote

Parse error: parse error, unexpected $ in /home/oursite/public_html/inc-mb-idx.php on line 244


I got the same and for other sections as well.
Donna
 
DCSun
Administrator



Posts: 625
 
January 14, 2006 @ 2:18pm
Donna,

First off, try uploading those files (the ones mentioned in the error messages) again and see if they just got corrupted during the transfer.

If that doesn't solve the problem, please open a support ticket and provide us with the ftp connection information and we'll get you all sorted out.


David


FlexCMS v3.2 Has Been Released!
 
ddelor


Posts: 34
 
January 14, 2006 @ 4:09pm
Look for ftp information coming your way soon. I uploaded the files shown as having errors and there is no change. I can access the contact form and a few other pages but that's about it.

I really appreciate the support!
Thanks
 
DCSun
Administrator



Posts: 625
 
January 14, 2006 @ 5:39pm
I think you're all set there now. There were quite a few source files that were smaller than they should be, so I've uploaded them all again and it seems to be working fine.


David


FlexCMS v3.2 Has Been Released!
 

Post Message 




Try & Buy FeedForAll - Easy to use RSS Feed Creator - great for iTunes users!

MEMBERS




All Contents, Code, Scripts and Technologies Copyright 2003-2009 FlexCMS.
All Rights Reserved. Software License Agreement

Processing Time: 0.07616 seconds.
 
Management Login

Powered By FlexCMS
Powered By FlexCMS